import request from '@/utils/request'

// 查询内容信息列表
export function listContent(query) {
  return request({
    url: '/system/Content/list',
    method: 'get',
    params: query
  })
}

// 查询内容信息详细
export function getContent(id) {
  return request({
    url: '/system/Content/' + id,
    method: 'get'
  })
}

// 新增内容信息
export function addContent(data) {
  return request({
    url: '/system/Content',
    method: 'post',
    data: data
  })
}

// 修改内容信息
export function updateContent(data) {
  return request({
    url: '/system/Content',
    method: 'put',
    data: data
  })
}

// 删除内容信息
export function delContent(id) {
  return request({
    url: '/system/Content/' + id,
    method: 'delete'
  })
}
